Loading...
Searching...
No Matches
permutations

## Classes

struct | etl::permutations< Value, KV >

## Detailed Description

permutations<N, K> : Calculates K permutations from N.

## Class Documentation

## etl::permutations

struct etl::permutations

template<size_t Value, size_t KV>
struct etl::permutations< Value, KV >

Calculates permutations.

### Static Public Attributes

static ETL_CONSTANT size_t | value = Value * permutations<Value - 1, KV - 1>::value